// $Id: NGStreams.m,v 1.1 1999/03/26 12:29:53 helge Exp $

#include "NGStreams.h"
#include "NGStreamProtocols.h"
#include "NGTextStreamProtocols.h"
#include "NGBase64Stream.h"
#include "NGBufferedStream.h"
#include "NGByteCountStream.h"
#include "NGConcreteStreamFileHandle.h"
#include "NGDataStream.h"
#include "NGFileStream.h"
#include "NGFileUrl.h"
#include "NGFilterStream.h"
#include "NGLockingStream.h"
#include "NGMD5Stream.h"
#include "NGStream.h"
#include "NGStreamCoder.h"
#include "NGStreamExceptions.h"
#include "NGStringTextStream.h"
#include "NGCTextStream.h"
#include "NGTextStream.h"
#include "NGUrl.h"
#include "NGUrlExceptions.h"
#include "NGStream+serialization.h"
#include "NGStreamPipe.h"

extern void __link_NGStream_serialization(void);

@implementation NGStreams

- (void)_staticLinkClasses {
  [NGBase64Stream             class];
  [NGBufferedStream           class];
  [NGByteCountStream          class];
  [NGConcreteStreamFileHandle class];
  [NGDataStream               class];
  [NGFileStream               class];
  [NGFilterStream             class];
  [NGLockingStream            class];
  [NGMD5Stream                class];
  [NGStream                   class];
  [NGStreamCoder              class];
  [NGStringTextStream         class];
  [NGCTextStream              class];
  [NGTextStream               class];
  [NGUrl                      class];
  [NGFileUrl                  class];
   
  __link_NGStream_serialization();
}

@end
