/* config.h.  Generated automatically by configure.  */
#ifndef __config_h__
#define __config_h__

/* Define if system calls automatically restart after interruption
   by a signal.  */
#define HAVE_RESTARTABLE_SYSCALLS 1

/* Define if you have posix mmap function.  */
#define HAVE_MMAP 1

/* Define if you have the getcwd function */
#define HAVE_GETCWD 1

/* Define if you have the kill function */
#define HAVE_KILL 1

/* Define if you have the poll function */
#define HAVE_POLL 1

/* Define if you have the <string.h> header file.  */
#define HAVE_STRING_H 1

/* Define if you have the <strings.h> header file.  */
#define HAVE_STRINGS_H 1

/* Define if you have the <memory.h> header file */
#define HAVE_MEMORY_H 1

/* Define if you have the <stdlib.h> header file.  */
#define HAVE_STDLIB_H 1

/* Define if you have the <libc.h> header file.  */
/* #undef HAVE_LIBC_H */

/* Define if you have the <sys/stat.h> header file */
#define HAVE_SYS_STAT_H 1

/* Define if you have the <sys/vfs.h> header file */
#define HAVE_SYS_VFS_H 1

/* Define if you have the <sys/statfs.h> header file */
#define HAVE_SYS_STATFS_H 1

/* Define if you have the <sys/statvfs.h> header file */
/* #undef HAVE_SYS_STATVFS_H */

/* Define if you have the <poll.h> header file */
#define HAVE_POLL_H 1

/* Define if you have the <sys/poll.h> header file */
#define HAVE_SYS_POLL_H 1

/* Define if you have the <sys/socket.h> header file */
#define HAVE_SYS_SOCKET_H 1

/* Define if you have the <unistd.h> header file */
#define HAVE_UNISTD_H 1

/* Define if you have the <netinet/in.h> header file */
#define HAVE_NETINET_IN_H 1

/* Define if you have the <windows.h> header file */
/* #undef HAVE_WINDOWS_H */

/* Define if you have the <Windows32/Sockets.h> header file */
/* #undef HAVE_WINDOWS32_SOCKETS_H */

/* Define if you have the <pwd.h> header file */
#define HAVE_PWD_H 1

/* Define if you have the <process.h> header file */
/* #undef HAVE_PROCESS_H */

/* Define if you have the <grp.h> header file */
#define HAVE_GRP_H 1

/* Define if you have the <sys/file.h> header file */
#define HAVE_SYS_FILE_H 1

/* Define if you have the <sys/select.h> header file */
#define HAVE_SYS_SELECT_H 1

/* Define if you have the <utime.h> header file */
/* #undef HAVE_UTIME_H */

/* Define if you have the <sys/errno.h> header file */
#define HAVE_SYS_ERRNO_H 1

/* Define if sys/wait.h is POSIX compatible */
#define HAVE_SYS_WAIT_H 1

/* Define this if you have the <vfork.h> header file */
/* #undef HAVE_VFORK_H */

/* Define for vfork in case it's not defined */
/* #undef vfork */

/* Define for pid_t in case it's not defined */
/* #undef pid_t */

/* The following macros deal with directory entries. */
#define HAVE_DIRENT_H 1
/* #undef HAVE_SYS_NDIR_H */
/* #undef HAVE_SYS_DIR_H */
/* #undef HAVE_NDIR_H */
/* #undef HAVE_DIR_H */

/* The structure alignment as determined by configure */
#define STRUCT_ALIGNMENT @STRUCT_ALIGNMENT@

/* The name of the target platform, obtained by configure */
#define TARGET_PLATFORM		"@host@"

#endif /* __config_h__ */
