// $Id: NGExtensions.m,v 1.1 1999/03/26 12:42:41 helge Exp $

#include "NGExtensions.h"

#import "NGBase64Coding.h"
#import "NGBaseTypes.h"
#import "NGBitSet.h"
#import "NGCString.h"
#import "NGHashMap.h"
#import "NGMD5Generator.h"
#import "NGMainMacros.h"
#import "NGMemoryAllocation.h"
#import "NGNil.h"
#import "NGProxy.h"
#import "NGStack.h"
#import "NGTool.h"
#import "NSArray+enumerator.h"
#import "NSData+misc.h"
#import "NSException+misc.h"
#import "NSMethodSignature+misc.h"
#import "NSObject+Values.h"
#import "NSSet+enumerator.h"
#import "NSString+Formatting.h"
#import "NSString+misc.h"
#import "NSDictionary+misc.h"
#import "NSCalendarDate+misc.h"

#import "NGArchiver.h"

extern void __link_NGExtensions_NGBitSet();
extern void __link_NGExtensions_NGNil();
extern void __link_NGExtensions_NGStack();
extern void __link_NGExtensions_NSArrayEnumerator();
extern void __link_NGExtensions_NSExceptionMisc();
extern void __link_NGExtensions_NSObjectValues();
extern void __link_NGExtensions_NSSetEnumerator();
extern void __link_NSString_Formatting(void);
extern void __link_NSString_misc(void);
extern void __link_NSData_misc(void);                  
extern void __link_NSDictionary_misc(void);            
extern void __link_NSMethodSignature_misc(void);       
extern void __link_NGBase64Coding(void);               
extern void __link_NSAutoreleasePool_misc(void);       
extern void __link_NSCalendarDate_misc(void);

@implementation NGExtensions

- (void)_staticLinkClasses {
  [NGBitSet                  class];      
  [NGCString                 class];      
  [NGHashMap                 class];      
  [NGMD5Generator            class];      
  [NGMutableCString          class];      
  [NGMutableHashMap          class];      
  [NGNil                     class];      
  [NGStack                   class];      
  [NGTool                    class];      
  [NGArchiver                class];      
  [NGUnarchiver              class];      
  ;                                         
  __link_NGExtensions_NGBitSet();           
  __link_NGExtensions_NGNil();              
  __link_NGExtensions_NGStack();            
  __link_NGExtensions_NSArrayEnumerator();  
  __link_NGExtensions_NSExceptionMisc();    
  __link_NGExtensions_NSObjectValues();     
  __link_NGExtensions_NSSetEnumerator();    
  __link_NSString_Formatting();             
  __link_NSString_misc();                   
  __link_NSData_misc();                     
  __link_NSDictionary_misc();               
  __link_NSMethodSignature_misc();          
  __link_NGBase64Coding();                  
  __link_NSAutoreleasePool_misc();          
  __link_NSCalendarDate_misc();             
}

@end
